package com.tencent.mm.bp;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.b.h;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.q;
import com.tencent.mm.model.q.a;
import com.tencent.mm.pluginsdk.m;
import com.tencent.mm.pluginsdk.n;
import com.tencent.mm.sdk.platformtools.ab;

public final class c {
    public static n vwA;
    public static m vwB;

    public static void aks(String str) {
        AppMethodBeat.i(114682);
        if (((h) g.RM().Rn()).SG()) {
            d.a(str, vwA, vwB);
        }
        AppMethodBeat.o(114682);
    }

    public static void b(String str, q qVar) {
        AppMethodBeat.i(114683);
        new 1(str, qVar).alone();
        AppMethodBeat.o(114683);
    }

    public static a akt(String str) {
        AppMethodBeat.i(114684);
        ab.i("MicroMsg.PluginCompatHelper", "CompatSubCore creator %s for plugin %s", new Object[]{new 2(str), str});
        AppMethodBeat.o(114684);
        return new 2(str);
    }
}
